Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum

    java.lang.Object
      java.lang.Enum<MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum>

Enclosing class:
  MediaScreenParameters.Viability.FloatingWindowParameters

    public static enum MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum

extends Enum<MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum>

Enum Constant Summary
`Adapt` Move and/or resize the window so that it is on-screen.
`None` Take no special action.
`NonViable` Consider the object to be non-viable.

Method Summary
`PdfInteger` | `getCode()`
`static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum` | `valueOf(PdfInteger code)`
`static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum None

  Take no special action.

### Adapt

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum Adapt

  Move and/or resize the window so that it is on-screen.

### NonViable

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum NonViable

  Consider the object to be non-viable.

Method Detail

### values

    public static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum c : MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.